HELP! SELENA seems not support SPRING 2.0 Config file well

Now I am trying the IDEA version of SELENA. It seems that the current 7.0M1a
version doesn't support some new elements in Spring 2.0's config file.

In my config file, I frist define a jndi datasource like following:
Then I refer this dataSource in a bean defination: ]]>

In version 6.0.5, such config is OK. However, In 7.0M1a, it tell me:
it is a "Cannot resolve bean dataSource" error.

Tell me how to resolve this.
Thanks a lot

Netsesame.


2 comments


Hello Netsesame,

Now I am trying the IDEA version of SELENA. It seems that the current
7.0M1a version doesn't support some new elements in Spring 2.0's
config file.

In my config file, I frist define a jndi datasource like following:
<jee:jndi-lookup id="dataSource" jndi-name="jdbc/TntbMS"
resource-ref="true"/>

Then I refer this dataSource in a bean defination:
<bean id="transManager"
>
<property name="dataSource" ref="dataSource"/>
</bean>


Support for bean definitions coming from namespace handlers (like <jee:jndi-lookup>)
is limited at the moment. (It is a work in progress)
You can do two things
1) Create a new JIRA issue, including your example code, or
2) Include your example code as a comment on this one:
http://www.jetbrains.net/jira/browse/IDEA-12489

Please also add yourself as watcher and voteron this issue.

In version 6.0.5, such config is OK. However, In 7.0M1a, it tell me:
it is a "Cannot resolve bean dataSource" error.


I assume you used the YanaWare IdeaSpring plugin in 6.0.5, correct?

-tt


0

Please sign in to leave a comment.